// $Id: db.h,v 1.2.8.1 2006/11/24 15:30:58 aguarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/

#ifndef DB_H
#define DB_H
#ifdef WITH_UNIXODBC
	#include <sql.h>
#else
	#include <mysql.h>
#endif
#include <string>
#include <iostream>
#include "glite/dgas/common/base/dbResult.h"

using namespace std;

class db {
public:
	db ();
	db (string serverI, string userI, string passwdI, string dbNameI);
	~db ();
	dbResult::dbResult  query ( string queryString );
	long long getAffectedRows();

	int errNo;
	string errMsg;
private:
	#ifdef WITH_UNIXODBC
	SQLHDBC dbhandle;
	SQLHENV odbc_env;
	#else
	MYSQL dbhandle;
	#endif
	string server;
	string user;
	string passwd;
	string dbName;
	long long affectedRows;

	db (const db&) ; // avoid copying of dbhandle
	db& operator=(const db&) ; 

};

#endif
